#!/bin/sh
# uncomment the next line to see more of the build process
#set -x
# BUILD script provided by Ready-to-Run Software, Inc.
# Copyright 1994 Ready-to-Run Software, Inc. All Rights Reserved.
BUILDDIR=`pwd`
SOURCEDIR=${SOURCEDIR-/cdrom/SOURCES}
if test ! -d $SOURCEDIR ; then 
   cd `dirname $0`/..; SOURCEDIR=`pwd`
   echo Assuming SOURCEDIR is $SOURCEDIR
   cd $BUILDDIR
fi
INSTALLDIR=${INSTALLDIR-/usr/local}
INSTALLSHAREDIR=${INSTALLSHAREDIR-/usr/local/share}
if test "$1" != ""; then 
   MACHINE=$1
fi
if test "$MACHINE" = ""; then 
   MACHINE=`$SOURCEDIR/../common/guess. `
   echo "Assuming machine is $MACHINE"
fi
machine=$MACHINE
echo Ignore any errors about directories already existing
mkdir xmx
mkdir -p $INSTALLDIR
mkdir $INSTALLDIR/bin
mkdir $INSTALLDIR/lib
mkdir -p $INSTALLSHAREDIR
mkdir $INSTALLSHAREDIR/man
mkdir $INSTALLSHAREDIR/man/man1
mkdir $INSTALLSHAREDIR/doc
mkdir $INSTALLSHAREDIR/${SHAREPREFIX}bin
mkdir $INSTALLSHAREDIR/${SHAREPREFIX}lib
/bin/rm -f $BUILDDIR/zcat
/bin/ln -s $SOURCEDIR/../$machine/bin/zcat. $BUILDDIR/zcat


cd $BUILDDIR/xmx
cat $SOURCEDIR/xmx/xmx.gz | $BUILDDIR/zcat -d -c | tar xvof -
cd xmx

test -f $SOURCEDIR/xmx/$machine/xmx. &&( sed -e "s;<installsharedir>;$INSTALLSHAREDIR;" -e "s;<prefix>;$SHAREPREFIX;" -e "s;<installdir>;$INSTALLDIR;"  $SOURCEDIR/xmx/$machine/xmx. | patch -b .rtr -p -s )
if test ${MACHINE} = "risc"; then
cp Makefile.ultrix Makefile
else
cp Makefile.dist Makefile
fi

make
if test "$RM" != "" ; then cp xmx $INSTALLDIR/bin ; fi
if test "$RM" != "" ; then cp xmx.1 $INSTALLSHAREDIR/man/man1 ; fi

cd $BUILDDIR/xmx

cd $BUILDDIR
if test "$RM" != "" ; then rm -rf $BUILDDIR/xmx ; fi
